Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.flow.local
Class LocalFlowStep

    java.lang.Object
      cascading.flow.planner.BaseFlowStep<Properties>
          cascading.flow.local.LocalFlowStep

All Implemented Interfaces:
  FlowStep<Properties>, Serializable

    public class LocalFlowStep

extends BaseFlowStep<Properties>

Class LocalFlowStep is the local mode implementation of `FlowStep`.

See Also:
  Serialized Form

Field Summary

Fields inherited from class cascading.flow.planner.BaseFlowStep
`accumulatedSourcesByJoin, sinks, sources, streamedSourceByJoin, tempSink`

Fields inherited from interface cascading.flow.FlowStep
`CASCADING_FLOW_STEP_ID`

Constructor Summary
`LocalFlowStep(String name, int id)`

Method Summary
`void` | `clean(Properties config)`
`protected FlowStepJob<Properties>` | `createFlowStepJob(FlowProcess<Properties> flowProcess, Properties parentConfig)`
`Properties` | `getInitializedConfig(FlowProcess<Properties> flowProcess, Properties parentConfig)`
`Map<Tap,Properties>` | `getPropertiesMap()`
`Tap` | `getTrap(String name)`
`Map<String,Tap>` | `getTrapMap()`
`Set<Tap>` | `getTraps()`
`protected void` | `initTaps(FlowProcess<Properties> flowProcess, Properties conf, Set<Tap> taps, boolean isSink)`

Methods inherited from class cascading.flow.planner.BaseFlowStep
`addAccumulatedSourceFor, addGroup, addSink, addSource, addStreamedSourceFor, clean, commitSinks, containsPipeNamed, createClientState, equals, getAllAccumulatedSources, getAllOperations, getConfig, getFlow, getFlowID, getFlowName, getFlowStepJob, getFlowStepStats, getGraph, getGroup, getGroups, getID, getJoinTributariesBetween, getName, getNextFlowElement, getNextScope, getNextScopes, getPreviousScopes, getScopeFor, getSink, getSinkName, getSinks, getSinkWith, getSourceName, getSources, getSourceWith, getStepDisplayName, getStepDisplayName, getStepNum, getStreamedSourceByJoin, getSubmitPriority, getSuccessors, getTopologicalOrderIterator, hashCode, initConfFromProcessConfigDef, isDebugEnabled, isInfoEnabled, logDebug, logError, logInfo, logWarn, logWarn, rollbackSinks, setConf, setFlow, setFlowName, setSubmitPriority, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LocalFlowStep

    public LocalFlowStep(String name,
                         int id)

Method Detail

### getInitializedConfig

    public Properties getInitializedConfig(FlowProcess<Properties> flowProcess,
                                           Properties parentConfig)

  Specified by:
    `getInitializedConfig` in class `BaseFlowStep<Properties>`

### initTaps

    protected void initTaps(FlowProcess<Properties> flowProcess,
                            Properties conf,
                            Set<Tap> taps,
                            boolean isSink)

### clean

    public void clean(Properties config)

  Specified by:
    `clean` in class `BaseFlowStep<Properties>`

### createFlowStepJob

    protected FlowStepJob<Properties> createFlowStepJob(FlowProcess<Properties> flowProcess,
                                                        Properties parentConfig)

  Specified by:
    `createFlowStepJob` in class `BaseFlowStep<Properties>`

### getTrapMap

    public Map<String,Tap> getTrapMap()

### getPropertiesMap

    public Map<Tap,Properties> getPropertiesMap()

### getTraps

    public Set<Tap> getTraps()

### getTrap

    public Tap getTrap(String name)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.